This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 491427 - Azureus fails to start with both "No SSL provider" and NoClassDefFoundError error
Azureus fails to start with both "No SSL provider" and NoClassDefFoundError e...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 18:15 EDT by Peter Åstrand
Modified: 2009-03-23 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 17:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Åstrand 2009-03-20 18:15:25 EDT
This is a follow up to bug 241786 and bug 179095, I'm experiencing both these two problems:

$ azureus
DEBUG::Fri Mar 20 23:11:36 GMT+01:00 2009::org.gudy.azureus2.core3.security.impl.SESecurityManagerImpl::initialise::-1:
  No SSL provider available
    SESecurityManager::initialise::-1,ConfigurationChecker::setSystemProperties::-1,ConfigurationManager::initialise::-1,ConfigurationManager::getInstance::-1,LoggerImpl::init::-1,Logger::<clinit>::-1,Class::initializeClass::-1,Logger::isEnabled::-1,StartServer::<init>::-1,Main::<init>::-1,Main::main::-1
Exception in thread "main" java.lang.NoClassDefFoundError: org.gudy.azureus2.core3.internat.MessageText
   at java.lang.Class.initializeClass(libgcj.so.9)
   at com.aelitis.azureus.core.impl.AzureusCoreImpl.<init>(Azureus2.jar.so)
   at com.aelitis.azureus.core.impl.AzureusCoreImpl.create(Azureus2.jar.so)
   at com.aelitis.azureus.core.AzureusCoreFactory.create(Azureus2.jar.so)
   at org.gudy.azureus2.ui.swt.Main.<init>(Azureus2.jar.so)
   at org.gudy.azureus2.ui.swt.Main.main(Azureus2.jar.so)

I'm using azureus-3.0.4.2-18.fc10.i386. Reinstallation with yum didn't help. Removing .azureus didn't help. Setting LC_ALL=C didn't help.
Comment 1 Conrad Meyer 2009-03-20 18:27:52 EDT
Sorry, I'm no azureus expert and the current version of azureus in rawhide is 4.0.0.4, could you try that? If it still doesn't work for you I guess it is time for me to orphan Azureus since it is beyond my ability to fix and I have no interest in it.
Comment 2 Peter Åstrand 2009-03-22 16:08:43 EDT
With azureus-4.0.0.4-2.fc11.noarch I get:

$ azureus
file:/usr/lib/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_3.4.1.v3449c.jar ; file:/usr/bin/build-classpath ; file:/home/astrand/%20error ; file:/home/astrand/%20JVM_LIBDIR%20/usr/lib/jvm-exports/java-openjdk%20does%20not%20exist%20or%20is%20not%20a%20directory ; file:/usr/share/azureus/Azureus2.jar ; file:/home/astrand/
DEBUG::Sun Mar 22 21:07:37 GMT+01:00 2009::org.gudy.azureus2.core3.security.impl.SESecurityManagerImpl::initialise::176:
  No SSL provider available
    SESecurityManager::initialise::52,ConfigurationChecker::setSystemProperties::214,ConfigurationManager::initialise::153,ConfigurationManager::getInstance::86,LoggerImpl::init::90,Logger::<clinit>::48,Class::initializeClass::-1,StartServer::<init>::75,Main::<init>::60,Main::main::217,Method::invoke::-1,MainExecutor$1::run::37,Thread::run::-1
Invoking main failed
java.lang.reflect.InvocationTargetException
   at java.lang.reflect.Method.invoke(libgcj.so.9)
   at com.aelitis.azureus.launcher.MainExecutor$1.run(MainExecutor.java:37)
   at java.lang.Thread.run(libgcj.so.9)
Caused by: java.lang.NoClassDefFoundError: org.gudy.azureus2.core3.internat.MessageText
   at java.lang.Class.initializeClass(libgcj.so.9)
   at com.aelitis.azureus.core.impl.AzureusCoreImpl.<init>(AzureusCoreImpl.java:168)
   at com.aelitis.azureus.core.impl.AzureusCoreImpl.create(AzureusCoreImpl.java:105)
   at com.aelitis.azureus.core.AzureusCoreFactory.create(AzureusCoreFactory.java:46)
   at org.gudy.azureus2.ui.swt.Main.<init>(Main.java:80)
   at org.gudy.azureus2.ui.swt.Main.main(Main.java:217)
   at java.lang.reflect.Method.invoke(libgcj.so.9)
   ...2 more
Exception in thread "MainRunner" java.lang.SecurityException: VM exit operation prohibited
   at org.gudy.azureus2.core3.security.impl.SESecurityManagerImpl$2.checkExit(SESecurityManagerImpl.java:273)
   at java.lang.Runtime.exit(libgcj.so.9)
   at java.lang.System.exit(libgcj.so.9)
   at com.aelitis.azureus.launcher.MainExecutor$1.run(MainExecutor.java:42)
   at java.lang.Thread.run(libgcj.so.9)
Comment 3 Conrad Meyer 2009-03-22 16:29:41 EDT
Try this version:

http://koji.fedoraproject.org/koji/buildinfo?buildID=94732

And I think you need to use openjdk, not gcj (I can't tell which you're using).
Comment 4 Peter Åstrand 2009-03-23 14:35:37 EDT
I was using gcj:

$ java --version
java version "1.5.0"
gij (GNU libgcj) version 4.3.2 20081105 (Red Hat 4.3.2-7)

The strange thing was that no other Java was available, even after installing: 

java-1.6.0-openjdk.i386 1:1.6.0.0-9.b14.fc10                      java-1.6.0-openjdk-devel.i386 1:1.6.0.0-9.b14.fc10            
java-1.6.0-openjdk-plugin.i386 1:1.6.0.0-9.b14.fc10

# alternatives --config java

There is 1 program that provides 'java'.

  Selection    Command
-----------------------------------------------
*+ 1           /usr/lib/jvm/jre-1.5.0-gcj/bin/java

After manually executing:

alternatives  --install /usr/bin/java java /usr/lib/jvm/jre-1.6.0-openjdk/bin/java 16000 

then /usr/bin/java is the Sun one, and now, Azureus works.
Comment 5 Conrad Meyer 2009-03-23 16:09:18 EDT
That seems a little weird of alternatives, but I'm glad it works. There are two reasons it now depends on openjdk:

1) aot-compile-rpm explodes trying to AOT compile it
2) it uses private internal classes that are provided by openjdk and gcj in different places, so I had to pick one

Anyways, should this bug be closed now?
Comment 6 Peter Åstrand 2009-03-23 17:38:32 EDT
>Anyways, should this bug be closed now?  

Ok with me. The error message could be better, and the "alternatives" strangeness might be a bug, but I'm happy now.
Comment 7 Conrad Meyer 2009-03-23 17:44:23 EDT
Well, I don't know how much I can do to force use of openjdk other than Requiring 1:1.6.0 or higher (which I'm already doing). Alternatives sounds like a bug with openjdk but not this. Thanks for the quick responses.

Closing.

Note You need to log in before you can comment on or make changes to this bug.